org.eclnt.jsfserver.util

## Interface IPropertyValueConverter

-     public interface IPropertyValueConverter

  If the managed bean supports this interface then the expression resolver will allow the bean to convert a certain property's value before setting/putting it into the managed bean.
  With CaptainCasa release 3.0 this interface was extended to now also cover the getting of property values.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `convertObject(int index, java.lang.Object value)` This is the conversion method for array operations, when SETTING array values.
    `java.lang.Object` | `convertObject(java.lang.Object property, java.lang.Object value)` This is the conversion method for normal SET or PUT operations.
    `java.lang.Object` | `convertObjectGet(int index, java.lang.Object value)` Conversion method in order to update the value that just was received from an index base access.
    `java.lang.Object` | `convertObjectGet(java.lang.Object property, java.lang.Object value)` Conversion method in order to update the value that just was received from a get-operation.

- - ### Method Detail

    - #### convertObject

          java.lang.Object convertObject(java.lang.Object property,
                                         java.lang.Object value)

      This is the conversion method for normal SET or PUT operations.
      Parameters:
        `property` - Property name.
        `value` - Value that is planned to be set.
      Returns:
        Converted value.

    - #### convertObject

          java.lang.Object convertObject(int index,
                                         java.lang.Object value)

      This is the conversion method for array operations, when SETTING array values.
      Parameters:
        `index` - Array index of set-operation.
        `value` - Value that is planned to be set.
      Returns:
        Converted value.

    - #### convertObjectGet

          java.lang.Object convertObjectGet(java.lang.Object property,
                                            java.lang.Object value)

      Conversion method in order to update the value that just was received from a get-operation. The get is either done by an introspected get, or by a map-get call.
      Parameters:
        `property` - Name of the property of the get-operation.
        `value` - The value that just was retrieved.
      Returns:
        Converted value.

    - #### convertObjectGet

          java.lang.Object convertObjectGet(int index,
                                            java.lang.Object value)

      Conversion method in order to update the value that just was received from an index base access.
      Parameters:
        `index` - Index of the get-operation.
        `value` - The value that just was retrieved.
      Returns:
        Converted value.

Copyright © CaptainCasa Gmbh. All Rights Reserved.